package cz.moneta.test.dsl.cagw.api.v2.external;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;
import cz.moneta.test.dsl.cagw.api.v2.external.client.ClientBuilder;

public class ExternalBuilder {
    private final Harness harness;

    public ExternalBuilder(Harness harness) {
        this.harness = harness;
    }

    public ClientBuilder client() {
        return new ClientBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}